Bug 605815 - hunspell core dumps when LANG is unset
Summary: hunspell core dumps when LANG is unset
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: hunspell (Show other bugs)
(Show other bugs)
Version: 6.0
Hardware: All Linux
low
medium
Target Milestone: rc
: ---
Assignee: Caolan McNamara
QA Contact: QE Internationalization Bugs
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-06-18 20:37 UTC by Quentin Barnes
Modified: 2010-10-18 17:00 UTC (History)
1 user (show)

Fixed In Version: hunspell-1.2.8-16.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-01 15:21:48 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Quentin Barnes 2010-06-18 20:37:20 UTC
Description of problem:
The hunspell command immediately dumps whenever started without $LANG set.


Version-Release number of selected component (if applicable):
hunspell-1.2.8-13.el6.x86_64



How reproducible: 100%


Steps to Reproduce:
1. unset LANG
2. hunspell
3.
  
Actual results:
==============
$ unset LANG
$ hunspell
Memory fault(coredump)
$ gdb /usr/bin/hunspell core.27925
Core was generated by `hunspell'.
Program terminated with signal 11, Segmentation fault.
#0  __strcmp_ssse3 () at ../sysdeps/x86_64/strcmp.S:99
99              movlpd  (%rdi), %xmm1
(gdb) bt
#0  __strcmp_ssse3 () at ../sysdeps/x86_64/strcmp.S:99
#1  0x0000000000406269 in fflush () at iofflush.c:36
#2  0x0000003092c1eb1d in __libc_start_main (main=<value optimized out>, 
    argc=<value optimized out>, ubp_av=<value optimized out>, 
    init=<value optimized out>, fini=<value optimized out>, 
    rtld_fini=<value optimized out>, stack_end=0x7fff64f4f518)
    at libc-start.c:226
#3  0x0000000000401f59 in fflush () at iofflush.c:36
#4  0x00007fff64f4f518 in ?? ()
#5  0x000000000000001c in ?? ()
#6  0x0000000000000001 in ?? ()
#7  0x00007fff64f504c9 in ?? ()
#8  0x0000000000000000 in ?? ()
(gdb)
==============

I also noticed that if LANG is set to something arbitrary like "junk" hunspell
 also core dumps.

Expected results:
Command should work as expected without core dumping.


Additional info:

Comment 2 RHEL Product and Program Management 2010-06-18 21:03:21 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux major release.  Product Management has requested further
review of this request by Red Hat Engineering, for potential inclusion in a Red
Hat Enterprise Linux Major release.  This request is not yet committed for
inclusion.

Comment 3 Caolan McNamara 2010-06-19 16:01:57 UTC
easy-fix, done in devel for some time

Comment 5 Caolan McNamara 2010-07-01 15:21:48 UTC
unset LANG
]$ hunspell
Can't open affix or dictionary files for dictionary named "default".
$ rpm -q hunspell
hunspell-1.2.8-16.el6.i686


Note You need to log in before you can comment on or make changes to this bug.